Page MenuHomePhabricator

Enable sticky header on talk pages (all namespaces)
Closed, ResolvedPublic

Description

In T304188: Enable sticky header on Talk pages (article and user talk), we enabled the Vector 2022 sticky header on talk page namespaces where DiscussionTools visual enhancements were already enabled. Then in T325417: Make Usability Improvements avail. in all talk namespaces , we enabled DiscussionTools visual enhancements on all talk namespaces. We should update the sticky header behavior to match.

Documentation at https://www.mediawiki.org/wiki/Reading/Web/Desktop_Improvements/Features/Sticky_Header#Why_is_the_sticky_header_not_showing_on_a_certain_page? should be updated afterwards.

Discussions:

Event Timeline

Change 884319 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[mediawiki/skins/Vector@master] Enable sticky header on all talk pages

https://gerrit.wikimedia.org/r/884319

To be clear: the request was for the sticky header to be enabled on ALL pages, not just all talk namespace pages. It should also show when I scroll down a diff page like this one. If it is going to be useful, it needs to appear where it is needed, which is pretty much everywhere.

Change 884319 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Enable sticky header on all talk pages

https://gerrit.wikimedia.org/r/884319

Jonesey95 renamed this task from Enable sticky header on all talk pages to Enable sticky header on all pages.Jan 28 2023, 3:20 PM

I've looked at the meeting notes from Tuesday 31 January (I didn't attend): https://docs.google.com/document/d/16Cmu-Pm7S2P8c1A0lj5yPqshG8T-cJHAqfsc6trcu0U/edit and it seems to me that everyone agrees with you that the sticky header should appear in all namespaces.

There are also the other limitations, that no one has brought up yet: https://gerrit.wikimedia.org/g/mediawiki/skins/Vector/+/61901f8b2dff539dc91b9f19fd60b1199cdd4ada/resources/skins.vector.es6/stickyHeader.js#514

  • Disabled on history action
  • Disabled on edit action (not submit though, so it appears in perview)
  • Disabled when viewing a diff

I couldn't figure out why they were added, but there's probably a reason.

It is also disabled on the Watchlist, the page I visit the most. I would love to be able to see the sticky header, especially my notifications, as I scroll down the Watchlist.

ppelberg renamed this task from Enable sticky header on all pages to Enable sticky header on talk pages (all namespaces).Feb 14 2023, 6:49 PM
ovasileva triaged this task as Medium priority.Mar 1 2023, 11:28 PM
ovasileva moved this task from Not ready to estimate to Current Quarter on the Web-Team-Backlog board.

This ticket can be resolved, I think?

I think so, as long as T329673 makes progress.

T329673 is for enabling the sticky header in all namespaces (web team task)
T328133 is for enabling the sticky header in all talk namespaces (editing team task).

I've untagged backlog on this one as there is nothing for web team to do here.

T328133 is for enabling the sticky header in all namespaces.

If so, it has a confusing title and description, and the bugs should maybe be merged. The sticky header needs to be enabled by default on all pages, including special pages like Watchlist and other Special: pages. Maybe that is not the scope of this task. What exactly is the scope of this task?

ppelberg added a subscriber: ppelberg.

T328133 is for enabling the sticky header in all namespaces.

If so, it has a confusing title and description, and the bugs should maybe be merged. The sticky header needs to be enabled by default on all pages, including special pages like Watchlist and other Special: pages. Maybe that is not the scope of this task. What exactly is the scope of this task?

This task involves the work of enabling the sticky header on all talk pages. The work to enable the sticky header on the pages you're describing in T328133#8585930 is covered by, as @Jdlrobson mentioned, T329673.